[Q&A] Legacy cards drivers && OS issues

Discussion in 'Videocards - AMD Radeon Drivers Section' started by mysteriously, Sep 30, 2015.

  1. gipfeli

    gipfeli New Member

    Messages:
    4
    Likes Received:
    0
    GPU:
    HD 6320
    It looked like this one is more recent. Why should I use the 15.11.1, which is a Windows 7 driver instead of Latest Crimson Edition 16.2.1 (1 March 2016) , which is supposed to work fine according to crazy_milojko: "Latest Crimson Edition 16.2.1 (1 March 2016) are doing more than fine on few Legacy Radeon cards I'm using mostly in HTPC's: 5570, 6450, 6770. Those 16.2.1 can be found under the same links I've posted above." https://forums.guru3d.com/threads/q-a-legacy-cards-drivers-os-issues.402850/page-3#post-5251706
     
  2. CrazY_Milojko

    CrazY_Milojko Ancient Guru

    Messages:
    1,982
    Likes Received:
    271
    GPU:
    GTX760 270X GTX970
    Not sure about Win10 64bit version of 16.101.X With Catalyst 15.11.1 drivers, haven't tested those but as far as I'm concerned Win7 64bit version of these 16.101.X With Catalyst 15.11.1 that was also packed by user1 is doing just fine, at home still running on one PC at home with Win7 SP1 64bit, OC'ed Radeon 5770...etc, so user1 did a great job if you ask me.

    More about it in my post below:
    https://forums.guru3d.com/threads/16-101-2901-1001.409002/page-15#post-5422041

    Later I've forgot to report how these were doing in games mentioned in that post of mine above: Plants vs Zombies: Garden Warfare, Rocket League, Sims 3 & 4, Minecraft... and all of these games are perfectly fine with Win7 64bit version of these 16.101.X With Catalyst 15.11.1, Radeon HD 5770 OC gpu/mem=925/5200 is perfectly stable, there are few newer games on that PC and all of them are working just fine.
     
  3. user1

    user1 Maha Guru

    Messages:
    1,426
    Likes Received:
    466
    GPU:
    hd 6870
    15.11.1 is a win10 certified driver, its not perfect support, but it works properly, main reason to use the 15.11.1 catalyst (actual driver version is 15.201) is that it doesn't have as many issue with newer games, games that use frostbite engine after swbf, have graphical glitches(last time i checked) with 16.101, where as 15.201 does not, it is not clear whether its a detection issue, or a genuine driver bug, can't recall if 15.301 (crimson 16.2.1) has the same issue.
    also , 15.201 supports opencl, whereas 15.301 does not, the catalyst packed version of 16.101 does have opencl, but again graphical bugs.

    It should be noted that i would expect less bugs on 15.201 ingeneral , since the winupdate drivers are almost identical to 15.11.1, and it would appear that at least EA still targets support for that driver.
     
  4. gipfeli

    gipfeli New Member

    Messages:
    4
    Likes Received:
    0
    GPU:
    HD 6320
    at the present, the win update driver https://support.amd.com/en-us/kb-articles/pages/apu-win10-wddm1-2-driver.aspx is installed, does it mean then, that I can stick to this driver, which is according to your post (more or less identical to 15.11.1 catalyst (driver version 15.201)?
    It's a E-450 HD 6320 laptop of a friend with a new installation of windows 10 64 bit. He does not play games at all. Important is flawless tv station streaming on google chrome and proper MS power point support. Sorry about my questions, English is not my native language and I want to be sure. I also wondered to test the omega 14.12 driver for Windwos 8.1 64bit, which is supposed to support streaming very well, but it might be too old and might spoil the whole installation.
     
    Last edited: Nov 15, 2017

  5. user1

    user1 Maha Guru

    Messages:
    1,426
    Likes Received:
    466
    GPU:
    hd 6870
    Yeah should be fine to stick the to Winupdate version, (wu is 15.201.1151.1008, where as catalyst 15.11.1 is 15.201.1151.1010 if i recall correctly)
     
  6. Timbiotic

    Timbiotic New Member

    Messages:
    1
    Likes Received:
    0
    GPU:
    HD 4890
    Do any of these work for the 4800 series? Or still stuck with buggy legacy
     
  7. Yxskaft

    Yxskaft Maha Guru

    Messages:
    1,342
    Likes Received:
    74
    GPU:
    GTX Titan Sli
    I wonder if AMD's drivers are vulnerable to Spectre.
    Nvidia recently released a Legacy Linux driver for the DX10 GPUs against Spectre, nothing yet for Windows though.
     
  8. LocoDiceGR

    LocoDiceGR Ancient Guru

    Messages:
    1,971
    Likes Received:
    548
    GPU:
    Gigabyte R9 380 4G
    No we dont need an update on the amd drivers. Otherwise they would have release it by now.
     
    HK-1 likes this.
  9. Yxskaft

    Yxskaft Maha Guru

    Messages:
    1,342
    Likes Received:
    74
    GPU:
    GTX Titan Sli
    That'd still only mean for sure that the GCN drivers don't have the vulnerability. The HD 2000-6000 series don't get new drivers anymore.
     
  10. AlleyViper

    AlleyViper Master Guru

    Messages:
    449
    Likes Received:
    53
    GPU:
    MSI RX480 GX 8GB
    Ack, the new Chrome 64 gives me some trouble on some youtube videos (example link) with an old 4890 with HW accel (which is still very useful for smooth scrolling when an old cpu is multitasking), image goes black. IIRC, it was fine on v63.
     

  11. HK-1

    HK-1 Master Guru

    Messages:
    595
    Likes Received:
    247
    GPU:
    XFX RX460
    realy, thanks God running A10 7800 (without fanboysm) here and until now none issues:)
     

Share This Page